# $Revision: 1.7 $, $Date: 2007/05/20 21:34:03 $
%define		source_name gmpc-autoplaylist
Summary:	Autoplaylist plugin for Gnome Music Player Client
Summary(pl.UTF-8):	Wtyczka autoplaylist dla odtwarzacza Gnome Music Player Client
Name:		gmpc-plugin-autoplaylist
Version:	0.15.0
Release:	1
License:	GPL
Group:		X11/Applications/Sound
# http://sarine.nl/gmpc-plugins-downloads
Source0:	%{source_name}-%{version}.tar.gz
# Source0-md5:	23e70c00d1e33cb44086911a2ffba140
Patch0:		%{name}-plugins_path.patch
URL:		http://sarine.nl/gmpc-plugins-autoplaylist
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gmpc-devel >= 0.15.0
BuildRequires:	gtk+2-devel >= 2:2.4
BuildRequires:	libglade2-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The plugin allows you to generate a playlist based on a set of rules,
f.e. "Genre contains 'jazz' and artist doesn't contain 'Jones'".

%description -l pl.UTF-8
Ta wtyczka pozwala generować playlisty w oparciu o zbiór reguł, na
przykład "Gatunek zawiera 'jazz' i wykonawca nie zawiera 'Jones'".

%prep
%setup -qn %{source_name}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/gmpc

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gmpc/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gmpc/*.so
%{_libdir}/gmpc/apl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gmpc-plugin-autoplaylist.spec,v $
Revision 1.7  2007/05/20 21:34:03  wiget
- updated to 0.15.0

Revision 1.6  2007/02/19 22:10:25  wiget
- md5 fix

Revision 1.5  2007/02/19 22:01:35  wiget
- updated to 0.14.0

Revision 1.4  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.2  2006/12/19 20:55:24  qboosh
- pl

Revision 1.1  2006/12/15 17:55:54  jajcus
- new spec
